PDA

View Full Version : vB 2.2.7 is out...


Erwin
27 Aug 2002, 13:05
http://www.vbulletin.com/forum/showthread.php?postid=340530

It's still a Release Candidate... :( I never thought I had to upgrade again before 3.0... I'm going to wait until it goes gold before upgrading...

A manual security fix is included in that post above.

g-force2k2
27 Aug 2002, 15:32
damn... 2.2.7 guess i'll have to install / upgrade when i get home later tonight ;\ oh well i guess it must've been important enough to release.... regards...

g-force2k2

DrkFusion
27 Aug 2002, 16:18
Screw 2.2.7...they them selves said it was minor updates...I hacked my 2.2.6 to death, and I prefer my vb board dead ^.^

Glad they took the time to help ohters though :) Til I get those errors, me no upgrade.

Gohan
27 Aug 2002, 16:32
Well, again awhole hack added. but MySQL must also hack added or just upgrade "upgrade20.php" only?

PsYc
27 Aug 2002, 19:43
only one new query to add to the mysql db

the rest are some files changes and some minor template changes

not that hard ;)

i used araxis

http://www.araxis.com/

i got my forum in 2 hours updated and missed no hack i built in before ;)

Chen
27 Aug 2002, 20:30
I'm not going to upgrade vB.org... don't have the time, and the security issue is very configuration-specific.

Ninth Dimension
27 Aug 2002, 20:32
I would not mind, but I spent HOURS last week fixing some problems on my forum - and now I've got to do it again - sod that, I'm happy with 2.2.6 :)

/me dreads all the "will it work with 2.2.7" questions

Erwin
27 Aug 2002, 20:53
If Chen's not upgrading, then I don't think I will too... bring on 3.0.

Ninth Dimension
27 Aug 2002, 21:19
Ya know what, I'm possably not even going to upgrade to 3.0, not for a while anyway, I made that mistake with 2.0 when it came out, and was forever upgrading it.

I think i'll wait until it's *stable* (which will probally be a year from now :))

Scott MacVicar
27 Aug 2002, 21:56
I upgraded last week and have been running it since then without problem. I done it mainly to sort the bugs.

Though i do recommend uploading search.php there is a bug which will let people use other peoples searches, which can include an admins search with higher permissions.

NexDog
27 Aug 2002, 23:20
Yea, think I'll go with the manual upgrade instead.....

Ninth Dimension
28 Aug 2002, 00:30
what is the manual upgrade? are you talking about the instructions listed in the second post here: http://vbulletin.com/forum/showthread.php?postid=340530 or something else?

PsYc
28 Aug 2002, 00:49
no compare your search.php

with the new one from 2.2.7

take the tool "araxis merge" or "beyond compare" and you can see the changes in there

DWZ
28 Aug 2002, 08:00
I will probably start to upgrade once it comes out of RC, tis going to take a few good hours to add all my hacks again

Boofo
28 Aug 2002, 11:02
Apparently the new search.php must add another field (thread) to the db. I got a db error when I tried to do a search and have it list as posts. I upgraded my 2.2.5 search.php to the 2.2.7 and that is what I got.

Originally posted by PPN
I upgraded last week and have been running it since then without problem. I done it mainly to sort the bugs.

Though i do recommend uploading search.php there is a bug which will let people use other peoples searches, which can include an admins search with higher permissions.

[D]Vincent
28 Aug 2002, 12:10
I think I'm going to wait until 3.0 comes out, mainly because too much trouble. I started to do it but I'm not sure how to dump my database other than through vB and that one never seems to work =\

DrkFusion
28 Aug 2002, 14:24
Im definitly waiting for 3.0 to come out, Im gonna modify the look of it to death, and then as hacks get being made, it will be cool :)

Reverend
28 Aug 2002, 18:18
Just a quick question,I'm currently running 2.2.6.If i apply my hacks to the new 2.2.7 files first and then upload them,can i still upgrade using the upgrade20.php script ?

Scott MacVicar
28 Aug 2002, 21:15
Correct

it updates templates, adds the new althash column to the session table and updates the version number

Scott MacVicar
28 Aug 2002, 21:16
Boofo can you post the database error on the main vB website or here or pm me as it may be a bug because no change to the database is made.

Goldknight
28 Aug 2002, 21:20
Originally posted by Erwin
If Chen's not upgrading, then I don't think I will too... bring on 3.0.

I second too. I rather update whenever 3.0 come out

eXtremeTim
29 Aug 2002, 21:32
If chens not worried about upgrading than i see no reason i should be.

Mystic Gohan
29 Aug 2002, 22:03
eh it says there are two important things to change but I havnt gotten any probs so I will stay with vB2.2.6 for now

Brad
29 Aug 2002, 22:26
We are going to 2.2.7 with a beyound compare upgrade. But im waiting for 3.0 to start really hacking my new site.

eXtremeTim
29 Aug 2002, 23:14
I think its a waste to upgrade to 2.2.7 since it only has some small fixes and the big security fix has been posted for users to do if there not gonna upgrade. Since sooner or latter where gonna have to make the trec to vb3.

Scott MacVicar
30 Aug 2002, 00:59
The only reason Chen isn't worried is that he's got access to the code as have I. We've had time to redo any added features we had on our boards.

Though it should be more or less straight forward.

Boofo
30 Aug 2002, 02:00
I'll PM you here since I do have some hacks installed in it. :)

Unless you want me to send you my hacked 2.2.5 serach.php and see if you can figure out why it won't upgrade without the db error. :)

Originally posted by PPN
Boofo can you post the database error on the main vB website or here or pm me as it may be a bug because no change to the database is made.

Scott MacVicar
30 Aug 2002, 07:40
send me the quasi 2.2.7 hacked version :) scott.macvicar@vbulletin.org

Boofo
30 Aug 2002, 07:48
It's on it's way. :) You should have it now (or shortly, anyway). Thanks for looking at it. :)

snyx
31 Aug 2002, 19:13
Originally posted by Erwin
If Chen's not upgrading, then I don't think I will too... bring on 3.0. indeed! :laugh:

Erwin
02 Sep 2002, 05:42
I've succumbed to the "I-need-to-have-the-latest-version" bug and will upgrade to 2.2.7 using Araxis Merge tonight... members are still complaining of the stupid cookie bug. Will let you know how it goes...

Erwin
02 Sep 2002, 10:26
Okay, upgraded finally, after working out how to make the Today/Yesterday hack work in 2.2.7 - it wasn't too bad - took 1 hour and 15 minutes with Araxis Merge. :) Whew... now to look for the inevitable post-upgrade bugs...

Rock
02 Sep 2002, 13:05
Ill w8 for 3.0 ...